For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet account information
        • GETGet compliance actions
        • POSTRecord a compliance action
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates the last-seen notification timestamp
        • POSTUpdates account profile fields
        • POSTRefresh inventory for authenticated account
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAccount

Funding payments history

GET
https://api.prod.paradex.trade/v1/funding/payments
GET
/v1/funding/payments
$curl -X GET https://api.prod.paradex.trade/v1/funding/payments?market=BTC-USD-PERP \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "next": "eyJmaWx0ZXIiMsIm1hcmtlciI6eyJtYXJrZXIiOiIxNjc1NjUwMDE3NDMxMTAxNjk5N=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjkwfSwidGltZSI6MTY4MTY3OTgzNzk3MTMwOTk1MywibWFya2VyIjp7Im1zMjExMD==",
4 "results": [
5 {
6 "account": "string",
7 "created_at": 1681375481000,
8 "fill_id": "8615262148007718462",
9 "id": "1681375578221101699352320000",
10 "index": "-2819.53434361",
11 "market": "BTC-USD-PERP",
12 "payment": "34.4490622"
13 }
14 ]
15}

List funding payments made by/to the requester’s account

Funding payments are periodic payments between traders to make the perpetual futures contract price is close to the index price.

Was this page helpful?
Previous

List open positions

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

marketstringRequired
Market for which funding payments are queried
page_sizeintegerOptional1-5000Defaults to 100
Limit the number of responses in the page
start_atintegerOptional

Start Time (unix time millisecond)

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error
401
Unauthorized Error